Index: src/sas/sasgui/perspectives/fitting/basepage.py
===================================================================
--- src/sas/sasgui/perspectives/fitting/basepage.py	(revision 313c5c92691602529afcffa8e76988a7cf6397b9)
+++ src/sas/sasgui/perspectives/fitting/basepage.py	(revision c8e19964f2dda929ccae8237e7b140a906cdf134)
@@ -2762,5 +2766,4 @@
             _doc_viewer = DocumentationWindow(self, wx.ID_ANY, _TreeLocation,
                                               "", "General Model Help")
-
 
     def on_model_help_clicked(self, event):
@@ -2774,8 +2777,8 @@
         give the message that none is available.
 
-        :param evt: on Description Button pressed event
-        """
-
-        if self.model == None:
+        :param event: on Description Button pressed event
+        """
+
+        if self.model is None:
             name = 'index.html'
         else:
@@ -2784,6 +2787,6 @@
         msg = 'Model description:\n'
         info = "Info"
-        if self.model != None:
-#                frame.Destroy()
+        if self.model is not None:
+            # frame.Destroy()
             if str(self.model.description).rstrip().lstrip() == '':
                 msg += "Sorry, no information is available for this model."
@@ -2854,10 +2857,10 @@
             for key in self.model.magnetic_params:
                 if key.count('M0') > 0:
-                    #reset mag value to zero fo safety
+                    # reset mag value to zero fo safety
                     self.model.setParam(key, 0.0)
 
         self.Show(False)
         self.set_model_param_sizer(self.model)
-        #self._set_sizer_dispersion()
+        # self._set_sizer_dispersion()
         self.state.magnetic_on = self.magnetic_on
         self.SetupScrolling()
@@ -2874,5 +2877,5 @@
         running "file:///...."
 
-        :param evt: Triggers on clicking ? in polydispersity box
+        :param event: Triggers on clicking ? in polydispersity box
         """
 
@@ -2912,5 +2915,5 @@
         content = 'sasview_parameter_values:'
         # Do it if params exist
-        if  self.parameters != []:
+        if self.parameters:
 
             # go through the parameters
@@ -2956,8 +2959,8 @@
 
         # Do it if params exist
-        if  self.parameters != []:
+        if self.parameters:
 
             for param in self.parameters:
-                content += param[1] #parameter name
+                content += param[1]  # parameter name
                 content += tab
                 content += param[1] + "_err"
@@ -2966,9 +2969,9 @@
             content += crlf
 
-            #row of values and errors...
+            # row of values and errors...
             for param in self.parameters:
-                content += param[2].GetValue() #value
+                content += param[2].GetValue()  # value
                 content += tab
-                content += param[4].GetValue() #error
+                content += param[4].GetValue()  # error
                 content += tab
 
@@ -2976,5 +2979,4 @@
         else:
             return False
-
 
     def get_copy_latex(self):
@@ -2998,5 +3000,5 @@
 
         # Do it if params exist
-        if  self.parameters != []:
+        if self.parameters:
 
             content += '{|'
@@ -3007,5 +3009,5 @@
 
             for index, param in enumerate(self.parameters):
-                content += param[1].replace('_', '\_') #parameter name
+                content += param[1].replace('_', '\_')  # parameter name
                 content += ' & '
                 content += param[1].replace('_', '\_') + "\_err"
@@ -3015,9 +3017,9 @@
             content += crlf
 
-            #row of values and errors...
+            # row of values and errors...
             for index, param in enumerate(self.parameters):
-                content += param[2].GetValue() #parameter value
+                content += param[2].GetValue()  # parameter value
                 content += ' & '
-                content += param[4].GetValue() #parameter error
+                content += param[4].GetValue()  # parameter error
                 if index < len(self.parameters) - 1:
                     content += ' & '
@@ -3030,5 +3032,4 @@
         else:
             return False
-
 
     def set_clipboard(self, content=None):
@@ -3077,5 +3078,5 @@
             # 1D
             else:
-                ## for 1D all parameters except orientation
+                # for 1D all parameters except orientation
                 if not item[1] in orient_param:
                     try:
@@ -3109,7 +3110,6 @@
             except Exception:
                 logging.error(traceback.format_exc())
-            content += name + ',' + str(check) + ',' +\
-                    value + disfunc + ',' + bound_lo + ',' +\
-                    bound_hi + ':'
+            content += name + ',' + str(check) + ',' + value + disfunc + ',' + \
+                       bound_lo + ',' + bound_hi + ':'
 
         return content
@@ -3189,5 +3189,5 @@
 
         # Do it if params exist
-        if  self.parameters != []:
+        if self.parameters:
             # go through the parameters
             self._get_paste_helper(self.parameters,
@@ -3237,5 +3237,5 @@
                                 pd = int(pd)
                         except Exception:
-                            #continue
+                            # continue
                             if not pd and pd != '':
                                 continue
@@ -3265,9 +3265,9 @@
                     else:
                         is_true = None
-                    if is_true != None:
+                    if is_true is not None:
                         item[0].SetValue(is_true)
             # 1D
             else:
-                ## for 1D all parameters except orientation
+                # for 1D all parameters except orientation
                 if not item[1] in orient_param:
                     name = item[1]
@@ -3278,7 +3278,8 @@
                         pd = value[0]
                         if name.count('.') > 0:
-                            # If this is parameter.width, then pd may be a floating
-                            # point value or it may be an array distribution.
-                            # Nothing to do for parameter.npts or parameter.nsigmas.
+                            # If this is parameter.width, then pd may be a
+                            # floating point value or it may be an array
+                            # distribution. Nothing to do for parameter.npts or
+                            # parameter.nsigmas.
                             try:
                                 pd = float(pd)
@@ -3286,5 +3287,5 @@
                                     pd = int(pd)
                             except:
-                                #continue
+                                # continue
                                 if not pd and pd != '':
                                     continue
@@ -3314,5 +3315,5 @@
                         else:
                             is_true = None
-                        if is_true != None:
+                        if is_true is not None:
                             item[0].SetValue(is_true)
 
@@ -3381,5 +3382,5 @@
             logging.error(traceback.format_exc())
             print "Error in BasePage._paste_poly_help: %s" % \
-                                    sys.exc_info()[1]
+                  sys.exc_info()[1]
 
     def _set_disp_cb(self, isarray, item):
@@ -3447,5 +3448,5 @@
         self.categorybox.Clear()
         cat_list = sorted(self.master_category_dict.keys())
-        if not uncat_str in cat_list:
+        if uncat_str not in cat_list:
             cat_list.append(uncat_str)
 
@@ -3457,7 +3458,7 @@
             self.categorybox.SetSelection(0)
         else:
-            self.categorybox.SetSelection(\
+            self.categorybox.SetSelection(
                 self.categorybox.GetSelection())
-        #self._on_change_cat(None)
+        # self._on_change_cat(None)
 
     def _on_change_cat(self, event):
@@ -3467,5 +3468,5 @@
         self.model_name = None
         category = self.categorybox.GetStringSelection()
-        if category == None:
+        if category is None:
             return
         self.model_box.Clear()
@@ -3478,5 +3479,5 @@
         else:
             for (model, enabled) in sorted(self.master_category_dict[category],
-                                      key=lambda name: name[0]):
+                                           key=lambda name: name[0]):
                 if(enabled):
                     self.model_box.Append(model)
@@ -3487,7 +3488,7 @@
         """
         # This should only be called once per fit tab
-        #print "==== Entering _fill_model_sizer"
-        ##Add model function Details button in fitpanel.
-        ##The following 3 lines are for Mac. Let JHC know before modifying...
+        # print "==== Entering _fill_model_sizer"
+        # Add model function Details button in fitpanel.
+        # The following 3 lines are for Mac. Let JHC know before modifying...
         title = "Model"
         self.formfactorbox = None
@@ -3521,43 +3522,43 @@
         self._populate_listbox()
         wx.EVT_COMBOBOX(self.categorybox, wx.ID_ANY, self._show_combox)
-        #self.shape_rbutton = wx.RadioButton(self, wx.ID_ANY, 'Shapes',
+        # self.shape_rbutton = wx.RadioButton(self, wx.ID_ANY, 'Shapes',
         #                                     style=wx.RB_GROUP)
-        #self.shape_indep_rbutton = wx.RadioButton(self, wx.ID_ANY,
+        # self.shape_indep_rbutton = wx.RadioButton(self, wx.ID_ANY,
         #                                          "Shape-Independent")
-        #self.struct_rbutton = wx.RadioButton(self, wx.ID_ANY,
+        # self.struct_rbutton = wx.RadioButton(self, wx.ID_ANY,
         #                                     "Structure Factor ")
-        #self.plugin_rbutton = wx.RadioButton(self, wx.ID_ANY,
+        # self.plugin_rbutton = wx.RadioButton(self, wx.ID_ANY,
         #                                     "Uncategorized")
 
-        #self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+        # self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
         #                   id=self.shape_rbutton.GetId())
-        #self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+        # self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
         #                    id=self.shape_indep_rbutton.GetId())
-        #self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+        # self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
         #                    id=self.struct_rbutton.GetId())
-        #self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
+        # self.Bind(wx.EVT_RADIOBUTTON, self._show_combox,
         #                    id=self.plugin_rbutton.GetId())
-        #MAC needs SetValue
+        # MAC needs SetValue
 
         show_cat_button = wx.Button(self, wx.ID_ANY, "Modify")
         cat_tip = "Modify model categories \n"
         cat_tip += "(also accessible from the menu bar)."
-        show_cat_button.SetToolTip( wx.ToolTip(cat_tip) )
+        show_cat_button.SetToolTip(wx.ToolTip(cat_tip))
         show_cat_button.Bind(wx.EVT_BUTTON, self._on_modify_cat)
         sizer_cat_box.Add(self.categorybox, 1, wx.RIGHT, 3)
-        sizer_cat_box.Add((10,10))
+        sizer_cat_box.Add((10, 10))
         sizer_cat_box.Add(show_cat_button)
-        #self.shape_rbutton.SetValue(True)
+        # self.shape_rbutton.SetValue(True)
 
         sizer_radiobutton = wx.GridSizer(2, 2, 5, 5)
-        #sizer_radiobutton.Add(self.shape_rbutton)
-        #sizer_radiobutton.Add(self.shape_indep_rbutton)
-        sizer_radiobutton.Add((5,5))
+        # sizer_radiobutton.Add(self.shape_rbutton)
+        # sizer_radiobutton.Add(self.shape_indep_rbutton)
+        sizer_radiobutton.Add((5, 5))
         sizer_radiobutton.Add(self.model_view, 1, wx.RIGHT, 5)
-        #sizer_radiobutton.Add(self.plugin_rbutton)
-        #sizer_radiobutton.Add(self.struct_rbutton)
-#        sizer_radiobutton.Add((5,5))
+        # sizer_radiobutton.Add(self.plugin_rbutton)
+        # sizer_radiobutton.Add(self.struct_rbutton)
+        # sizer_radiobutton.Add((5,5))
         sizer_radiobutton.Add(self.model_help, 1, wx.RIGHT | wx.LEFT, 5)
-#        sizer_radiobutton.Add((5,5))
+        # sizer_radiobutton.Add((5,5))
         sizer_radiobutton.Add(self.model_func, 1, wx.RIGHT, 5)
         sizer_cat.Add(sizer_cat_box, 1, wx.LEFT, 2.5)
@@ -3575,5 +3576,5 @@
         self.formfactorbox = wx.ComboBox(self, wx.ID_ANY, style=wx.CB_READONLY)
         self.formfactorbox.SetToolTip(wx.ToolTip("Select a Model"))
-        if self.model != None:
+        if self.model is not None:
             self.formfactorbox.SetValue(self.model.name)
         self.structurebox = wx.ComboBox(self, wx.ID_ANY, style=wx.CB_READONLY)
@@ -3584,8 +3585,8 @@
         wx.EVT_COMBOBOX(self.structurebox, wx.ID_ANY, self._on_select_model)
         wx.EVT_COMBOBOX(self.multifactorbox, wx.ID_ANY, self._on_select_model)
-        ## check model type to show sizer
-        if self.model != None:
+        # check model type to show sizer
+        if self.model is not None:
             print "_set_model_sizer_selection: disabled."
-            #self._set_model_sizer_selection(self.model)
+            # self._set_model_sizer_selection(self.model)
 
         sizer_selection.Add(self.text1)
@@ -3682,4 +3683,5 @@
         """
 
+
 class ModelTextCtrl(wx.TextCtrl):
     """
@@ -3694,7 +3696,7 @@
 
     """
-    ## Set to True when the mouse is clicked while whole string is selected
+    # Set to True when the mouse is clicked while whole string is selected
     full_selection = False
-    ## Call back for EVT_SET_FOCUS events
+    # Call back for EVT_SET_FOCUS events
     _on_set_focus_callback = None
 
@@ -3718,11 +3720,11 @@
             if set_focus_callback is None else set_focus_callback
         self.Bind(wx.EVT_SET_FOCUS, self._on_set_focus)
-        self.Bind(wx.EVT_KILL_FOCUS, self._silent_kill_focus \
-            if kill_focus_callback is None else kill_focus_callback)
-        self.Bind(wx.EVT_TEXT_ENTER, parent._onparamEnter \
-            if text_enter_callback is None else text_enter_callback)
+        self.Bind(wx.EVT_KILL_FOCUS, self._silent_kill_focus
+        if kill_focus_callback is None else kill_focus_callback)
+        self.Bind(wx.EVT_TEXT_ENTER, parent._onparamEnter
+        if text_enter_callback is None else text_enter_callback)
         if not ON_MAC:
-            self.Bind(wx.EVT_LEFT_UP, self._highlight_text \
-                if mouse_up_callback is None else mouse_up_callback)
+            self.Bind(wx.EVT_LEFT_UP, self._highlight_text
+            if mouse_up_callback is None else mouse_up_callback)
 
     def _on_set_focus(self, event):
@@ -3764,3 +3766,3 @@
 
         event.Skip()
-        #pass
+        # pass
